GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkGDCMThreadedImageReader Class Reference

`#include <vtkGDCMThreadedImageReader.h>`

Inheritance diagram for vtkGDCMThreadedImageReader:
[legend]
Collaboration diagram for vtkGDCMThreadedImageReader:
[legend]

## Public Member Functions

virtual void | PrintSelf (ostream &os, vtkIndent indent)
| vtkBooleanMacro (UseShiftScale, int)
| vtkGetMacro (UseShiftScale, int)
| vtkSetMacro (Shift, double)
| vtkSetMacro (Scale, double)
| vtkSetMacro (UseShiftScale, int)
| vtkTypeRevisionMacro (vtkGDCMThreadedImageReader, vtkGDCMImageReader)
Public Member Functions inherited from vtkGDCMImageReader
virtual int | CanReadFile (const char *fname)
virtual const char * | GetDescriptiveName ()
virtual const char * | GetFileExtensions ()
vtkImageData * | GetIconImage ()
vtkImageData * | GetOverlay (int i)
virtual void | SetCurve (vtkPolyData *pd)
virtual void | SetFileNames (vtkStringArray *)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *pd)
| vtkBooleanMacro (LoadOverlays, int)
| vtkBooleanMacro (LoadIconImage, int)
| vtkBooleanMacro (LossyFlag, int)
| vtkBooleanMacro (ApplyLookupTable, int)
int | vtkBooleanMacro (ApplyYBRToRGB, int)
| vtkGetMacro (LoadOverlays, int)
| vtkGetMacro (LoadIconImage, int)
| vtkGetMacro (LossyFlag, int)
| vtkGetMacro (NumberOfOverlays, int)
| vtkGetMacro (NumberOfIconImages, int)
| vtkGetMacro (ApplyLookupTable, int)
| vtkGetMacro (ApplyYBRToRGB, int) vtkSetMacro(ApplyYBRToRGB
| vtkGetMacro (ImageFormat, int)
| vtkGetMacro (PlanarConfiguration, int)
| vtkGetMacro (Shift, double)
| vtkGetMacro (Scale, double)
| vtkGetObjectMacro (DirectionCosines, vtkMatrix4x4)
| vtkGetObjectMacro (MedicalImageProperties, vtkMedicalImageProperties)
| vtkGetObjectMacro (FileNames, vtkStringArray)
| vtkGetObjectMacro (Curve, vtkPolyData)
| vtkGetVector3Macro (ImagePositionPatient, double)
| vtkGetVector6Macro (ImageOrientationPatient, double)
| vtkSetMacro (LoadOverlays, int)
| vtkSetMacro (LoadIconImage, int)
| vtkSetMacro (LossyFlag, int)
| vtkSetMacro (ApplyLookupTable, int)
| vtkTypeRevisionMacro (vtkGDCMImageReader, vtkMedicalImageReader2)

## Static Public Member Functions

static vtkGDCMThreadedImageReader * | New ()
Static Public Member Functions inherited from vtkGDCMImageReader
static vtkGDCMImageReader * | New ()

## Protected Member Functions

| vtkGDCMThreadedImageReader ()
| ~vtkGDCMThreadedImageReader ()
void | ExecuteData (vtkDataObject *out)
void | ExecuteInformation ()
void | ReadFiles (unsigned int nfiles, const char *filenames[])
void | RequestDataCompat ()
Protected Member Functions inherited from vtkGDCMImageReader
| vtkGDCMImageReader ()
| ~vtkGDCMImageReader ()
void | ExecuteData (vtkDataObject *out)
void | ExecuteInformation ()
void | FillMedicalImageInformation (const gdcm::ImageReader &reader)
int | LoadSingleFile (const char *filename, char *pointer, unsigned long &outlen)
int | RequestDataCompat ()
int | RequestInformationCompat ()
void | SetFilePattern (const char *)
void | SetFilePrefix (const char *)
| vtkGetStringMacro (FilePrefix)
| vtkGetStringMacro (FilePattern)
| vtkSetVector6Macro (ImageOrientationPatient, double)

## Additional Inherited Members

Protected Attributes inherited from vtkGDCMImageReader
int | ApplyInverseVideo
int | ApplyLookupTable
int | ApplyPlanarConfiguration
int | ApplyShiftScale
int | ApplyYBRToRGB
vtkPolyData * | Curve
vtkMatrix4x4 * | DirectionCosines
vtkStringArray * | FileNames
int | ForceRescale
int | IconDataScalarType
int | IconImageDataExtent [6]
int | IconNumberOfScalarComponents
int | ImageFormat
double | ImageOrientationPatient [6]
double | ImagePositionPatient [3]
int | LoadIconImage
int | LoadOverlays
int | LossyFlag
vtkMedicalImageProperties * | MedicalImageProperties
int | NumberOfIconImages
int | NumberOfOverlays
int | PlanarConfiguration
double | Scale
double | Shift

## Constructor & Destructor Documentation

vtkGDCMThreadedImageReader::vtkGDCMThreadedImageReader | ( |  | ) |

protected

vtkGDCMThreadedImageReader::~vtkGDCMThreadedImageReader | ( |  | ) |

protected

## Member Function Documentation

void vtkGDCMThreadedImageReader::ExecuteData | ( | vtkDataObject * | out | ) |

protected

void vtkGDCMThreadedImageReader::ExecuteInformation | ( |  | ) |

protected

static vtkGDCMThreadedImageReader* vtkGDCMThreadedImageReader::New | ( |  | ) |

static

virtual void vtkGDCMThreadedImageReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

virtual

Reimplemented from vtkGDCMImageReader.

void vtkGDCMThreadedImageReader::ReadFiles | ( | unsigned int | nfiles,
|  | const char * | filenames[]
| ) |  |

protected

void vtkGDCMThreadedImageReader::RequestDataCompat | ( |  | ) |

protected

vtkGDCMThreadedImageReader::vtkBooleanMacro | ( | UseShiftScale | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader::vtkGetMacro | ( | UseShiftScale | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader::vtkSetMacro | ( | Shift | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader::vtkSetMacro | ( | Scale | ,
|  | double |
| ) |  |

vtkGDCMThreadedImageReader::vtkSetMacro | ( | UseShiftScale | ,
|  | int |
| ) |  |

vtkGDCMThreadedImageReader::vtkTypeRevisionMacro | ( | vtkGDCMThreadedImageReader | ,
|  | vtkGDCMImageReader |
| ) |  |

The documentation for this class was generated from the following file:

- vtkGDCMThreadedImageReader.h